/*
 * @Author: micky 1254597151@qq.com
 * @Date: 2023-08-30 18:34:02
 * @LastEditors: micky 1254597151@qq.com
 * @LastEditTime: 2023-08-30 18:34:10
 * @FilePath: \housekeeping-admin\src\api\distributor\group.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from '@/utils/request'
import axios from 'axios'

// 分销组别列表
export function apiDistributorGroupLists(params: any) {
    return request.get({ url: '/distributorsGroup/list', params })
}
// 添加分销组别
export function apiDistributorGroupAdd(params: any) {
    return request.post({ url: '/distributorsGroup/add', params })
}
// 编辑分销组别
export function apiDistributorGroupEdit(params: any) {
    return request.post({ url: '/distributorsGroup/edit', params })
}

// 删除分销组别
export function apiDistributorGroupDel(params: any) {
    return request.post({ url: '/distributorsGroup/del', params })
}

// 分销组别详情
export function apiDistributorGroupDetail(params: any) {
    return request.get({ url: '/distributorsGroup/detail', params })
}

export interface DistributorGroup {
    id: number
    groupName: string
    remark: string
}
